Page MenuHomePhabricator

Review and deploy Wikibase-Quality-Constraints on wikidata.org
Closed, ResolvedPublic1 Story Points

Description

https://www.mediawiki.org/wiki/WikidataQuality#Improving_Constraint_Reports

Please install Wikibase-Quality-Constraints (Branch v1 on Gerrit) on wikidata.org
Thank you very much!

See also: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/WikibaseQualityConstraints

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
InvalidAndreasburmeister
Resolvedcsteipp
ResolvedLydia_Pintscher
ResolvedNone
Resolveddominic.sauer
Resolveddominic.sauer
ResolvedJonaskeutel
ResolvedJonas.keutel
Resolvedcsteipp
Resolvedcsteipp
Resolveddaniel
InvalidNone
ResolvedNone
Declinedcsteipp
Declinedcsteipp
Declinedcsteipp
DeclinedNone
InvalidAndreasburmeister
DeclinedNone
Resolvedsoeren.oldag
Resolvedcsteipp
Resolvedcsteipp
ResolvedJonas.keutel
DeclinedNone
ResolvedJanZerebecki
Resolveddaniel
ResolvedNone
ResolvedJanZerebecki
Resolveddaniel
ResolvedAddshore
Resolvedaude
DeclinedNone
DeclinedNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolvedhoo
ResolvedLucas_Werkmeister_WMDE
ResolvedLydia_Pintscher
InvalidLydia_Pintscher
InvalidNone
InvalidLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolvedsoeren.oldag
DeclinedNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE
InvalidNone
ResolvedLydia_Pintscher
ResolvedJan_Dittrich
ResolvedLucas_Werkmeister_WMDE
ResolvedJan_Dittrich
OpenNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE

Event Timeline

Tamslo updated the task description. (Show Details)May 16 2015, 11:10 AM
Tamslo set Security to None.
Tamslo edited projects, added Wikibase-Quality-Constraints; removed Wikibase-Quality.
Tamslo added a subscriber: Tamslo.
Lydia_Pintscher triaged this task as High priority.May 17 2015, 11:17 AM

Setting priority to high because the students' project ends in July and we should have it deployed before then.

Tamslo updated the task description. (Show Details)Jun 23 2015, 9:15 AM

The URL of the repository changed, see the description.

We have created some items and properties to provide you some data to play with. The items we recommend you to perform constraint checks against on our special page are:

  • Berlin (Q81559)
  • Paris (Q81560)
  • Douglas Adams (Q81561)
  • The Hitchhiker's Guide to the Galaxy (Q81573)
  • Earth (Q81566)
  • Flying Spaghetti Monster (Q81580)

The properties we used on those items have constraints defined on them. You can find them by looking at their property talk page. Since the template-situation on beta is not very good, the generated boxes may be incomplete. Click on edit to see the exact constraint definition. When you change the constraint definition, it won't affect the check because the constraints have been parsed from those pages. Changes to them will only affect the check results when the script parsing them is run again.

Feel free to play with the items and properties. Changes on items directly affect the result of a constraint check performed via the special page. When you use statements with a constraint on other items, you will get a constraint report for them, too.

FYI:
The properties with constraints are on beta are the following:

  • Sister city (P25292)
  • date of birth (P476)
  • date of death (P25294)
  • place of birth (P965)
  • birth name (P25295)
  • sex or gender (P963)
  • child (P25305)
  • father (P1000)
  • cast member (P25306)
  • screenwriter (P25307
  • director (P25309)
  • Highest point (P734)
  • Head of government (756)
  • Population (P25299)
  • start date (P706)
  • has part (P25300)
  • part of (P730)
  • creator (P25310)
  • religion (P25313)
Tobi_WMDE_SW edited a custom field.Jun 24 2015, 10:08 AM

Change 223011 had a related patch set uploaded (by Hoo man):
Enable WikibaseQuality and WikibaseQualityConstraints on wikidata

https://gerrit.wikimedia.org/r/223011

Change 223011 merged by jenkins-bot:
Enable WikibaseQuality and WikibaseQualityConstraints on wikidata

https://gerrit.wikimedia.org/r/223011

Lydia_Pintscher closed this task as Resolved.Aug 7 2015, 5:40 PM
Lydia_Pintscher claimed this task.